@import "variables/font";
@import "variables/colors";

.group-and-offers {
  display: flex;
  flex-direction: column;
  gap: 1rem;

  &__title {
    font-family: $font-family-bold;
    margin: 0;
  }
  &__description {
    font-family: $roboto-regular;
    font-size: 12px;
    line-height: 14px;
    color: $neutral-60;
    padding: 0;
    margin: 0;
  }
  &__content {
    display: flex;
    flex-direction: column;
    gap: 1rem;

    .offers,
    .header {
      display: grid;
      grid-template-columns: 1fr 23%;
      gap: 1em;
    }
    .header {
      align-items: center;
      &__tilte,
      &__group-name {
        font-family: $roboto-bold;
        margin: 0;
        padding: 0;
        font-size: 16px;
      }

      &__tilte {
        color: $neutral-60;
      }
      &__group-name {
        text-align: center;
        color: $caribbean-green-60;
      }
    }

    .offers {
      &__percentage {
        display: flex;
        justify-content: center;
        align-items: center;
        .value {
          color: $caribbean-green-60;
          font-family: $roboto-bold;
          margin: 0;
          padding: 0;
          font-size: 38px;
        }
      }
    }
  }
  &__buttons {
    display: flex;
    justify-content: flex-end;
    gap: 1rem;
  }
}
